Bug 597463 - Unnecessary dependency on mod_python
Summary: Unnecessary dependency on mod_python
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: trac-peerreview-plugin
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 02:25 UTC by Toshio Ernie Kuratomi
Modified: 2012-08-16 22:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:38:34 UTC


Attachments (Terms of Use)

Description Toshio Ernie Kuratomi 2010-05-29 02:25:50 UTC
Description of problem:

I discovered this with the EPEL-5 package but it also applies to Fedora Rawhide.

The trac-peerreview-plugin package has a Requires: on mod_python.  However, it doesn't appear that mod_python is directly a dependency.  Since we use trac under mod_wsgi, the mod_python dependency is pulling in mod_python which can potentially conflict.  Unless there is a dependency that I'm missing it's desirable to get rid of the dependency.

Comment 1 Toshio Ernie Kuratomi 2010-05-31 18:18:29 UTC
Also... mod_python is not receiving much upstream work... to the point where it may be dropped from the apache foundation.  So if the dependency is unnecessary, it would be good to stop depending on software that may be going away in the future:

http://www.modpython.org/pipermail/mod_python/2010-May/026573.html

Comment 2 Bug Zapper 2010-07-30 11:44:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Kevin Fenzi 2011-12-28 18:37:47 UTC
ok, this bug hasn't really seen much attention and it's affecting the ability of us to use this plugin on fedorahosted.org (If we load mod_python as well as mod_wsgi, we get segfaults and things don't work). 

So, if no response from the maintainer in the next day or so, I am going to go ahead and update this plugin and remove the mod_python dep.

Comment 4 Chitlesh GOORAH 2011-12-28 20:19:33 UTC
sorry, i'm out of the country for the holidays, I'll update this accordingly next year.

Comment 5 Kevin Fenzi 2011-12-28 20:59:44 UTC
Great! Thanks Chitlesh. 

If you prefer, I'd be happy to update it in the next few days. Just let me know if you would like me to do so.

Comment 6 Chitlesh GOORAH 2011-12-28 23:56:00 UTC
Please feel free.

Comment 7 Fedora Update System 2011-12-31 18:58:24 UTC
trac-peerreview-plugin-0.11-5.svn11062.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/trac-peerreview-plugin-0.11-5.svn11062.fc16

Comment 8 Fedora Update System 2011-12-31 19:07:14 UTC
trac-peerreview-plugin-0.11-5.svn11062.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-peerreview-plugin-0.11-5.svn11062.el6

Comment 9 Fedora Update System 2012-01-01 19:29:32 UTC
Package trac-peerreview-plugin-0.11-5.svn11062.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing trac-peerreview-plugin-0.11-5.svn11062.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0004/trac-peerreview-plugin-0.11-5.svn11062.el6
then log in and leave karma (feedback).

Comment 10 Fedora End Of Life 2012-08-16 22:38:37 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.